HTML{
    height: 100%;
    overflow: hidden;
}
HTML, BODY{
    margin:0;
    padding:0;
}
BODY{
    overflow: visible;
    background-color: #ffffff;
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
    color: #000000;
    height: 100%;

    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

::-webkit-scrollbar {
    height: 17px;
    overflow: visible;
    width: 17px;
}
::-webkit-scrollbar-thumb {
    background-color: rgba(0,0,0,.2);
    background-clip: padding-box;
    border: solid transparent;
    border-width: 0 0 0 7px;
    min-height: 28px;
    padding: 100px 0 0;
    box-shadow: inset 1px 1px 0 rgba(0,0,0,.1),inset -1px -1px 0 rgba(0,0,0,.07);
}
::-webkit-scrollbar-button {
    height: 0;
    width: 0;
}
::-webkit-scrollbar-track {
    background-clip: padding-box;
    border: solid transparent;
    border-width: 0 0 0 7px;
}
::-webkit-scrollbar-corner {
    background: transparent;
}

A{
    color: #000000;
    text-decoration: none;
}
A:hover{
    text-decoration: underline;
}

input, textarea, select {
    padding: 4px;
    margin: 1px 0px;
    font-size: 15px;
    font-family: Arial;
    border: solid 1px #a1adb4;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
}
hr{
    height:1px;
    border-width:0;
    color:#e0e0e0;
    background-color:#e0e0e0
}
.clear{
    clear: both;
}

th{
    text-align: center;
}

.aright{
    float: right;
}
.aleft{
    float: left;
}
.acenter{
    text-align: center;
}
.textright{
    text-align: right;
}

.hidden{
    display: none;
}

#login{
    font-size: 15px;
    margin: 50px auto;
    width: 300px;
    padding: 25px;
    border: 1px solid #ccc;
    border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    box-shadow: 0 2px 3px rgba(0,0,0,.2);
    -moz-box-shadow: 0 2px 3px rgba(0,0,0,.2);
    -webkit-box-shadow: 0 2px 3px rgba(0,0,0,.2);
}
#login table {
    margin: 0 auto;
}
#login input.text{
    width: 180px;
}
#login div.error{
    color: red;
}


#page{
    height: inherit;
    margin: 0 28px 0 2px;
    position: relative;
}
#header{
    min-height: 50px;
    overflow: hidden;
}
.logo{
    float: left;
    margin-top: 3px;
}
.topmenu{
    float: right;
    margin-top: 20px;
}
.topmenu DIV{
    float: left;
}
.topmenu DIV A{
    font-size: 15px;
    line-height: 27px;
    padding: 2px 4px;
    margin: 0 2px 25px 0;
    border: 1px solid #dddddd;
}
.topmenu DIV A.selected{
    font-weight: bold;
    background-color: #f1f1f1;
    border-color: #bababa;
}

#calendar{
    height: inherit;
    position: relative;
    /*border: 1px solid #dddddd;*/
    /*background-color: #f5f5f5;*/
}
#cal_header{
    height: 25px;
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
    background-color: #f1f1f1;
    border:  1px solid #dddddd;
}

.day_header{
    font-weight: normal;
    white-space: nowrap;
    overflow: hidden;
}
.day_header div a{
    color: #002669;
}

#cal_body{
    position:absolute;
    height:auto;
    bottom:0;
    top:25px;
    left:0;
    right:-18px; /* 18 or 17 in chrome ? */
    margin:0;
    padding-right: 1px;
    overflow-y: scroll;
    overflow-x: hidden;
}

#cal_content{
    width: 100%;
    table-layout: fixed;
    border-collapse: separate;
    border:  1px solid #dddddd;
    border-width: 0 0 1px 1px;
}

#cal_content tr td{
    border: 1px solid #dddddd;
    border-width: 1px 1px 0 0;
    height: 24px;
}
#cal_content tr td.time_header{
    width:60px;
    padding-right: 5px;
    color: #7A7A7A; /*#222*/
    text-align: right;
}
#cal_content tr.time_minor td{
    border-top-style: dotted;
}
#cal_content tr.time_minor td.time_header{
    border-top-width: 0;
}

th div.target_col_rel{
    position:relative;
    margin-right:7px;
}

td.time_hour:hover{
    background-color: #ffffcc;
}
td.time_hour_hover{
    background-color: #d5ffd8;
}

#footer{
    position: relative;
    background-color: #f1f1f1;
    border:  1px solid #dddddd;
    padding: 3px;
    min-height: 28px;
}

.item.red, .item_red{
    background-color: rgba(245,170,138,0.85);
    border: solid 1px rgba(255,100,25,1);
}
.item.white, .item_white{
    background-color: rgba(255,255,255,0.85);
    border: solid 1px rgba(150,150,150,1);
}
.item.green, .item_green{
    background-color: rgba(200,227,180,0.85);
    border: solid 1px rgba(114,152,85,1);
}
.item.blue, .item_blue{
    background-color: rgba(183, 230, 254, 0.85);
    border: solid 1px rgb(99, 170, 206);
}
.item.gray, .item_gray{
    background-color: rgba(200, 200, 200, 0.85);
    border: solid 1px rgb(150, 150, 150);
}

.item_red, .item_white, .item_green, .item_blue, .item_gray{
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    padding: 2px 5px;
}
.nopadding{
    padding: 0;
}

.button{
    font-size: 13px;
    font-family: Arial;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    padding: 2px 5px;
    border: solid 1px #a1adb4;
    margin: 5px;
    line-height: 25px;
    background-color: rgb(221,221,221);
    text-decoration: none;
    cursor: pointer;
}
.button.glow{
    -webkit-box-shadow: 0px 0px 15px 5px rgba(255, 255, 190, .75);
    -moz-box-shadow: 0px 0px 15px 5px rgba(255, 255, 190, .75);
    box-shadow: 0px 0px 15px 5px rgba(255, 255, 190, .75);
}

.waitItem, .workItem{
    text-align: left;
    font-size: 13px;
    font-weight: normal;

    overflow:hidden;

    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;

    padding: 2px;
}

.waitItem{
    position: relative;
    width: 130px;

    display: inline-block;
    max-width: 130px;
    height: 18px;

    margin: 0 3px 0 0;
}
.workItem{
    position: absolute;
    width: 100%;

    display: block;
    max-width: none;
    height: inherit;

    margin: 0 0 0 0;
}

/* Prevent the text contents of draggable elements from being selectable. */
[draggable] {
    -moz-user-select: none;
    -khtml-user-select: none;
    -webkit-user-select: none;
    user-select: none;
    /* Required to make elements draggable in old WebKit */
    -khtml-user-drag: element;
    -webkit-user-drag: element;
}

#clock{
    top: 0;
    left: 0px;
    height: 0;
    width: 65px;
    background-color: rgba(71,71,71,0.1);
    position: absolute;
}
#clock_line{
    position: absolute;
    border-bottom: solid 1px #ff322e;
    top: 0;
    right: 2px;
    width: 100%;
}
#clock_time{
    position: absolute;
    top: 0;
    width: 59px;
    background-color: white;
    color: #ff322e;
    margin-top: -10px;
    margin-left: -1px;
    text-align: right;
    padding: 0px 5px 0px 0;
    border: solid 1px #ff322e;
}
.icon-cancel{
    cursor: pointer;
}
.icon-cancel:before{
    content: "";
    display: block;
    background: url("/img/icon_cancel.png") no-repeat;
    width: 25px;
    height: 25px;
    float: left;
    margin-left: 5px;
}

#overlay {
    opacity: 0.4;
    position: fixed;
    top: 0px;
    left: 0px;
    background-color: black;
    width: 100%;
    height: 100%;
    z-index: 100;
    display: none;
}
#edit_box{
    position: fixed;
    top: 0px;
    left: 0px;
    text-align: center;
    width: 100%;
    z-index: 500;
    display: none;
}
#view_box {
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: 500;
    display: none;

    background-color: #ffffff;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    padding: 4px;
    border: 1px solid #aaaaaa;
}
#edit_box DIV.theform{
    text-align: left;
    background-color: #ffffff;
    display: inline-block;

    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    -webkit-background-clip: padding-box;
    -moz-background-clip: padding;
    background-clip: padding-box;
    padding: 10px;
}
#edit_box .theform .header, #view_box .theform .header{
    padding: 5px;
    background-color: #e0e0e0;
    line-height: 25px;
    font-size: 17px;
}

#edit_box form.scroll
{
    overflow-y: scroll;
    padding: 1px;
}

#filter_header{
    width: 100%;
    table-layout: fixed;
    border:  1px solid #dddddd;
    height: 30px
}
.filter_clicker{
    font-weight: bold;
    color: #002669;
    cursor:pointer
}
.filter_clicker:HOVER{
    text-decoration: underline;
}
.filter_clicker.selected{
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    background-color: #cccccc;
    border: solid 1px rgba(150,150,150,1);
}

.select2-drop{
    z-index: 1000;
}
.select2-container{
    width: 450px;
}
.noborder{
    border-color: rgba(0,0,0,0.1);
}
.red{
    color: red;
}
.inp_tiny{
    width:60px;
}
.inp_small{
    width:120px;
}
.inp_medium{
    width:200px;
}
.inp_max_medium{
    max-width:200px;
}
.inp_big{
    width:450px;
}
.inp_full{
    width:100%;
    padding: 4px 0px 4px 2px;
}
.inp_full.textright{
    padding: 4px 2px 4px 0;
}


/* tooltip */
.ui-tooltip, .arrow:after {
    background: white;
    border: 1px solid #aaaaaa;
}
.ui-tooltip {
    padding: 10px;
    color: black;
    border-radius: 5px;
    border-width: 1px !important;
    font: normal 14px "Helvetica Neue", Sans-Serif;
    z-index: 90 !important;
    opacity: 100;
}
.ui-tooltip-content {
    white-space: pre-line;
}
.ui-resizable-handle{
    z-index: 99 !important;
    height: 15px;
}

.arrow {
    width: 70px;
    height: 12px;
    overflow: hidden;
    position: absolute;
    left: 50%;
    margin-left: -35px;
    bottom: -12px;
}
.arrow.top {
    top: -12px;
    bottom: auto;
}
.arrow.left {
    left: 20%;
}
.arrow:after {
    content: "";
    position: absolute;
    left: 20px;
    top: -20px;
    width: 25px;
    height: 25px;
    box-shadow: 6px 5px 9px -9px black;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}
.arrow.top:after {
    bottom: -20px;
    top: auto;
}

.tr_hover td{
    background-color: #efefef;
}
.tr_click td{
    background-color: #fffad9;
}
.tr_click2 td{
    background-color: #d9ffda;
}
.tr_click3 td{
    background-color: #ffd2d2;
}
.tr_click4 td{
    background-color: #b7ffb9;
}
.tr_del td{
    background-color: #979797;
}
.tr_gray td{
    background-color: #BEBEBE;
}

.bgRed{
    background-color: red;
}